SWITCH_ROOT(8)

NOM
switch_root - Passer à un autre système de fichiers racine de l'arbre de montage

SYNOPSIS

switch_root [-hV]

switch_root nouvelle_racine init [argument ...]

DESCRIPTION

switch_root déplace /proc, /dev, /sys et /run déjà montés vers nouvelle_racine et fait de nouvelle_racine la nouvelle racine du système de fichiers et lance le processus init.

Attention : switch_root supprime récursivement tous les fichiers et répertoires de la racine actuelle du système de fichiers.

OPTIONS

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

CODE DE RETOUR

switch_root returns 1 on failure, it never returns on success.

NOTES

switch_root échouera si nouvelle_racine n’est pas la racine d’un montage. Si vous voulez passer la racine vers un répertoire qui ne convient pas à cette exigence, vous pouvez d’abord utiliser une astuce de remontage pour transformer n’importe quel répertoire en point de montage :

    mount --bind $DIR $DIR

AUTEURS

VOIR AUSSI

chroot(2), init(8), mkinitrd(8), mount(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande switch_root fait partie du paquet util-linux, elle est disponible sur